using FluentValidation;

namespace Indotalent.Features.Purchase.PurchaseOrder.Cqrs;

public class UpdatePurchaseOrderValidator : AbstractValidator<UpdatePurchaseOrderRequest>
{
    public UpdatePurchaseOrderValidator()
    {
        RuleFor(x => x.Id).NotEmpty();
        RuleFor(x => x.VendorId).NotEmpty().WithMessage("Vendor is required");
    }
}